import pickle
import pymongo
import bson
import unittest
import warnings

from datetime import datetime

from mongoengine import *
from mongoengine.base import NotRegistered, InvalidDocumentError
from mongoengine.queryset import InvalidQueryError
from mongoengine.connection import get_db


class DocumentTest(unittest.TestCase):

    def setUp(self):
        connect(db='mongoenginetest')
        self.db = get_db()

    def test_insert(self):
        """Add FutureWarning for future allow_inhertiance default change.
        """

        class Movie(Document):
            title = StringField()
            ranks = ListField(EmbeddedDocumentField('Rank'))

        class Rank(EmbeddedDocument):
            rank = IntField()
            imdb_rating = FloatField()
            date = DateTimeField(default=datetime.now)

        #import ipdb; ipdb.set_trace();

        Movie.drop_collection()

        rank = Rank(rank=1, imdb_rating=1.0)
        movie = Movie(title="Mongo", ranks=[rank])
        movie.save()

